browser_signed_multiple.js times out randomly, followed by 40-some other failures

RESOLVED WORKSFORME

Status

()

P1
normal
RESOLVED WORKSFORME
8 years ago
6 years ago

People

(Reporter: mossop, Unassigned)

Tracking

({intermittent-failure})

Trunk
x86
Windows XP
intermittent-failure
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [rewrite], URL)

Attachments

(2 attachments)

Comment hidden (empty)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1272598571.1272599543.11641.gz
WINNT 5.2 mozilla-central opt test mochitest-other on 2010/04/29 20:36:11
s: win32-slave16
Apparently there's more than one reason not to have an empty comment 0, since it seems to break tpblbot.

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1272653555.1272654446.1852.gz
WINNT 5.2 mozilla-central opt test mochitest-other on 2010/04/30 11:52:35
s: win32-slave25

TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_signed_multiple.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_signed_multiple.js | Should be 2 items listed in the confirmation dialog - Got 3, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_signed_multiple.js | Item for http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/signed2.xpi was not listed
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_signed_multiple.js | 2 Add-ons should have been successfully installed - Got 3, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_signed_naming.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_signed_naming.js | Should be 3 items listed in the confirmation dialog - Got 1, expected 3
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_signed_naming.js | Item for http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/signed-no-o.xpi was not listed
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_signed_naming.js | Item for http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/signed-no-cn.xpi was not listed
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_signed_naming.js | 3 Add-ons should have been successfully installed - Got 1, expected 3
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_signed_trigger.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_signed_trigger.js | Should have listed the correct url for the item - Got http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/signed-untrusted.xpi, expected http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/signed.xpi
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_signed_trigger.js | Should have seen the signer - Got (Author not verified), expected (Object Signer)
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_signed_trigger.js | Should have listed the item as signed - Got false, expected true
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_signed_untrusted.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_signed_untrusted.js | Should have listed the correct url for the item - Got http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/signed.xpi, expected http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/signed-untrusted.xpi
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_signed_untrusted.js | Should have listed the item as unsigned - Got true, expected false
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_signed_url.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_signed_url.js | Should have had the name - Got XPI Test, expected Signed XPI Test
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_signed_url.js | Should have listed the correct url for the item - Got http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/unsigned.xpi, expected http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/signed.xpi
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_signed_url.js | Should have seen the signer - Got (Author not verified), expected (Object Signer)
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_signed_url.js | Should have listed the item as signed - Got false, expected true
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_softwareupdate.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_unsigned_trigger.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_unsigned_trigger.js | Should have listed the correct icon for the item - Got , expected http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/icon.png
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_unsigned_url.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_unsigned_url.js | Shouldn't have been blocked by the whitelist
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_unsigned_trigger.js | Shouldn't have been blocked by the whitelist
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_whitelist.js | 1 Add-on should have been successfully installed - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_unsigned_url.js | Shouldn't have been blocked by the whitelist
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_unsigned_trigger.js | Shouldn't have been blocked by the whitelist
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_unsigned_url.js | 1 Add-on should have been successfully installed - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_whitelist3.js | No add-ons should have been installed - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_whitelist3.js | Should be no active installs at the end of the test - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_unsigned_trigger.js | Shouldn't have been blocked by the whitelist
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_whitelist4.js | Should be no active installs at the end of the test - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_unsigned_trigger.js | Shouldn't have been blocked by the whitelist
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_whitelist5.js | Should be no active installs at the end of the test - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_unsigned_trigger.js | Shouldn't have been blocked by the whitelist
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_whitelist6.js | Should be no active installs at the end of the test - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/plugins/tests/browser_bug435788.js | Should be just one install - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/plugins/tests/browser_bug435788.js | Should have installed the extension - Got unsigned-xpi@tests.mozilla.org, expected bug435788_1@tests.mozilla.org">bug435788_1@tests.mozilla.org
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/plugins/tests/browser_bug435788.js | Should be one active installs - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/mozapps/plugins/tests/browser_bug435788.js | Should not be any installs - Got 1, expected 0
Summary: browser_signed_multiple.js times out randomly → browser_signed_multiple.js times out randomly, followed by 42 other failures
(Reporter)

Updated

8 years ago
Priority: -- → P1
(Reporter)

Comment 3

8 years ago
Created attachment 444171 [details] [diff] [review]
Turn on debug logging for tests

Can't see an obvious reason for this. This patch makes us able to turn on debug logging for the browser chrome tests which should hopefully shed some more light onto this.
Attachment #444171 - Flags: review?(robert.bugzilla)
Comment on attachment 444171 [details] [diff] [review]
Turn on debug logging for tests

>diff --git a/toolkit/mozapps/extensions/AddonLogging.jsm b/toolkit/mozapps/extensions/AddonLogging.jsm
>--- a/toolkit/mozapps/extensions/AddonLogging.jsm
>+++ b/toolkit/mozapps/extensions/AddonLogging.jsm
>@@ -38,16 +38,19 @@
> */
> 
> const Cc = Components.classes;
> const Ci = Components.interfaces;
> const Cr = Components.results;
> 
> const KEY_PROFILEDIR                  = "ProfD";
> const FILE_EXTENSIONS_LOG             = "extensions.log";
>+const PREF_LOGGING_ENABLED            = "extensions.logging.enabled";
>+
>+const NS_PREFBRANCH_PREFCHANGE_TOPIC_ID = "nsPref:changed";
> 
> Components.utils.import("resource://gre/modules/FileUtils.jsm");
> Components.utils.import("resource://gre/modules/Services.jsm");
> 
> var EXPORTED_SYMBOLS = [ "LogManager" ];
> 
> var gDebugLogEnabled = false;
> 
>@@ -125,13 +128,32 @@ var LogManager = {
>         };
>       });
>     }
> 
>     return logger;
>   }
> };
> 
>-try {
>-  gDebugLogEnabled = Services.prefs.getBoolPref("extensions.logging.enabled");
>-}
>-catch (e) {
>-}
>+var PrefObserver = {
>+  init: function() {
>+    Services.prefs.addObserver("extensions.logging.enabled", this, false);
please use PREF_LOGGING_ENABLED

>+    Services.obs.addObserver(this, "xpcom-shutdown", false);
>+    this.observe(null, NS_PREFBRANCH_PREFCHANGE_TOPIC_ID, PREF_LOGGING_ENABLED);
>+  },
>+
>+  observe: function(aSubject, aTopic, aData) {
>+    if (aTopic == "xpcom-shutdown") {
>+      Services.prefs.removeObserver("extensions.logging.enabled", this);
same here

>+      Services.obs.removeObserver(this, "xpcom-shutdown");
>+    }
>+    else if (aTopic == NS_PREFBRANCH_PREFCHANGE_TOPIC_ID) {
>+      try {
>+        gDebugLogEnabled = Services.prefs.getBoolPref(PREF_LOGGING_ENABLED);
>+      }
>+      catch (e) {
>+        gDebugLogEnabled = false;
>+      }
>+    }
>+  }
>+};
>+
>+PrefObserver.init();
Attachment #444171 - Flags: review?(robert.bugzilla) → review+
(Reporter)

Updated

8 years ago
Blocks: 565082
(Reporter)

Updated

8 years ago
Blocks: 565259
http://tinderbox.mozilla.org/showlog.cgi?log=Firefo/1273789152.1273790198.29085.gz
WINNT 5.2 mozilla-central opt test mochitest-other on 2010/05/13 15:19:12
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274139746.1274140744.25206.gz
WINNT 5.2 mozilla-central opt test mochitest-other on 2010/05/17 16:42:26
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275013568.1275016216.14508.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/05/27 19:26:08
s: talos-r3-leopard-043
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275050875.1275052935.3548.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central opt test mochitest-other on 2010/05/28 05:47:55
s: talos-r3-snow-039
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275194149.1275195668.14239.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central opt test mochitest-other on 2010/05/29 21:35:49
s: talos-r3-leopard-017
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275204429.1275205308.16983.gz
WINNT 5.2 mozilla-central opt test mochitest-other on 2010/05/30 00:27:09
s: win32-slave36
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Summary: browser_signed_multiple.js times out randomly, followed by 42 other failures → browser_signed_multiple.js times out randomly, followed by 40-some other failures
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
(Reporter)

Comment 40

8 years ago
Created attachment 453113 [details] [diff] [review]
Add cleanup handlers [checked in]

This is an attempt to at least stop one test failure from causing random stuff in later failures by ensuring we always clean up the listeners etc. even if the test fails.
Attachment #453113 - Flags: review?(robert.bugzilla)
Comment hidden (Treeherder Robot)
Attachment #453113 - Flags: review?(robert.bugzilla) → review+
Comment hidden (Treeherder Robot)
(Reporter)

Comment 43

8 years ago
Comment on attachment 453113 [details] [diff] [review]
Add cleanup handlers [checked in]

Checked this in as http://hg.mozilla.org/mozilla-central/rev/875f50c22e24
Attachment #453113 - Attachment description: Add cleanup handlers → Add cleanup handlers [checked in]
(Reporter)

Comment 44

8 years ago
Seems to have gone away so there is no reason to keep this open.
Status: NEW → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → WORKSFORME
Comment hidden (Treeherder Robot)
(Assignee)

Updated

6 years ago
Keywords: intermittent-failure
(Assignee)

Updated

6 years ago
Whiteboard: [rewrite][orange] → [rewrite]
You need to log in before you can comment on or make changes to this bug.